Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           weplab
Version:        0.1.5
Release:        alt1_19
Summary:        Analyzing WEP encryption security on wireless networks

License:        GPLv2+
URL:            http://weplab.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libpcap-devel
BuildRequires:  autoconf-common

Requires:	    ifrename wireless-tools

%description
WepLab is a tool designed to teach how WEP works, what different
vulnerabilities it has, and how they can be used in practice to
break a WEP protected wireless network. So far, WepLab is more than
a Wep Key Cracker, it is a Wep Security Analyzer designed from an
educational point of view. The author has tried to leave the
source code as clear as possible, running away from optimizations
that would obfuscate it.

%prep
%setup -q

%build
autoconf

# FIXME: Package suffers from c11/inline issues
# Workaround by appending -std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code
%configure CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"

%make_build

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man1/weplab.1*
%{_bindir}/weplab

%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_19
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_18
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_17
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_15
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_14
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_13
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_12
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.5-alt1_11
- initial fc import

